coreEngine.atdm.DataStruct

## Class ATDMStrategyMat

- java.lang.Object
- - coreEngine.atdm.DataStruct.ATDMStrategy
  - - coreEngine.atdm.DataStruct.ATDMStrategyMat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class ATDMStrategyMat
      extends ATDMStrategy

  Author:
    Lake Trask
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `capacityIncreaseDueToRM`
    `private int` | `numPeriods`
    `private int` | `numSeg`
    `private float[]` | `shoulderCapacity`
    `private CA2DInt` | `strategyMatrix`
    `private java.lang.String` | `strategyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATDMStrategyMat(int id, java.lang.String description, int numSegments, int numPeriods, java.lang.String strategyType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `fillShoulderDefaults()`
    `float` | `getCapacityIncreaseDueToRM()`
    `float[]` | `getShoulderCapacity()`
    `float` | `getShoulderCapacity(int numLanes)`
    `CA2DInt` | `getStrategyMatrix()`
    `void` | `setCapacityIncreaseDueToRM(float capacityIncreaseDueToRM)`
    `void` | `setShoulderCapacity(float[] newValues)`
    `void` | `setShoulderCapacity(float newValue, int numLanes)`
    `void` | `setStrategyMatrix(CA2DInt newMatrix)`

    - ### Methods inherited from class coreEngine.atdm.DataStruct.ATDMStrategy

      `clone, getAdjFactor, getAdjFactor, getCategory, getDescription, getId, getIncidentDurationReduction, setAdjFactor, setAdjFactors, setCategory, setCategory, setDescription, setId, setIncidentDurationReduction`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strategyMatrix

          private CA2DInt strategyMatrix

    - #### numSeg

          private final int numSeg

    - #### numPeriods

          private final int numPeriods

    - #### strategyType

          private final java.lang.String strategyType

    - #### shoulderCapacity

          private float[] shoulderCapacity

    - #### capacityIncreaseDueToRM

          private float capacityIncreaseDueToRM

  - ### Constructor Detail

    - #### ATDMStrategyMat

          public ATDMStrategyMat(int id,
                                 java.lang.String description,
                                 int numSegments,
                                 int numPeriods,
                                 java.lang.String strategyType)

      Parameters:
        `id` -
        `description` -
        `numSegments` -
        `numPeriods` -
        `strategyType` -

  - ### Method Detail

    - #### getStrategyMatrix

          public CA2DInt getStrategyMatrix()

      Returns:

    - #### setStrategyMatrix

          public void setStrategyMatrix(CA2DInt newMatrix)

      Parameters:
        `newMatrix` -

    - #### getShoulderCapacity

          public float getShoulderCapacity(int numLanes)

      Parameters:
        `numLanes` -
      Returns:

    - #### getShoulderCapacity

          public float[] getShoulderCapacity()

      Returns:

    - #### setShoulderCapacity

          public void setShoulderCapacity(float newValue,
                                          int numLanes)

      Parameters:
        `newValue` -
        `numLanes` -

    - #### setShoulderCapacity

          public void setShoulderCapacity(float[] newValues)

      Parameters:
        `newValues` -

    - #### fillShoulderDefaults

          private void fillShoulderDefaults()

    - #### getCapacityIncreaseDueToRM

          public float getCapacityIncreaseDueToRM()

    - #### setCapacityIncreaseDueToRM

          public void setCapacityIncreaseDueToRM(float capacityIncreaseDueToRM)